%define majver %(echo %version | cut -d. -f1-2)

Name:          libksieve
Version:       16.08.3
Release:       1mamba
Summary:       KDE Frameworks 5 sieve library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/libksieve-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libQt5WebKit-devel
BuildRequires: libakonadi-devel
BuildRequires: libattica5-devel
BuildRequires: libgcc
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdepim-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmime-devel
BuildRequires: libknewstuff-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqt5-devel
BuildRequires: libsasl2-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 sieve library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
exit 0

%postun
/sbin/ldconfig
exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/ksieve_script.knsrc
%{_sysconfdir}/xdg/libksieve.categories
%{_kde5_libdir}/libKF5KManageSieve.so.*
%{_kde5_libdir}/libKF5KSieve.so.*
%{_kde5_libdir}/libKF5KSieveUi.so.*
%{_libdir}/qt5/plugins/kf5/kio/sieve.so
%{_datadir}/sieve/scripts/copy/template.desktop
%dir %{_datadir}/doc/HTML/en/kioslave5/sieve
%{_datadir}/doc/HTML/en/kioslave5/sieve/*
%{_datadir}/kservices5/sieve.protocol
%{_datadir}/sieve/scripts/copy/template.txt

%files devel
%defattr(-,root,root)
%{_kde5_includedir}/KManageSieve/SieveJob
%dir %{_kde5_includedir}/KSieveUi
%{_kde5_includedir}/KSieveUi/*
%dir %{_kde5_includedir}/kmanagesieve
%{_kde5_includedir}/kmanagesieve/*
%dir %{_kde5_includedir}/ksieveui
%{_kde5_includedir}/ksieveui/*
%{_kde5_includedir}/libksieve_version.h
%{_kde5_libdir}/cmake/KF5LibKSieve/KF5LibKSieve*.cmake
%{_kde5_libdir}/libKF5KManageSieve.so
%{_kde5_libdir}/libKF5KSieve.so
%{_kde5_libdir}/libKF5KSieveUi.so
%{_kde5_mkspecsdir}/qt_KManageSieve.pri
%{_kde5_mkspecsdir}/qt_KSieve.pri
%{_kde5_mkspecsdir}/qt_KSieveUi.pri

%changelog
* Sun Nov 20 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Sun Sep 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Mon Sep 05 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Sun Jun 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.04.1-1mamba
- package created using the webbuild interface
